Bug 1851407 - daemonsets fail to rollout during upgrade
Summary: daemonsets fail to rollout during upgrade
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: kube-controller-manager
Version: 4.5
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.4.z
Assignee: Tomáš Nožička
QA Contact: zhou ying
URL:
Whiteboard:
Depends On: 1845242
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-06-26 12:59 UTC by Tomáš Nožička
Modified: 2020-07-28 12:37 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: DaemonSet recreation Consequence: DaemonSet could get stuck for 5 minutes while expectations expire. Fix: DaemonSet controller now clears expectations on recreate. Result: Doesn't get stuck.
Clone Of: 1845242
Environment:
Last Closed: 2020-07-28 12:37:03 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift origin pull 25210 None closed [release-4.4] Bug 1851407: Fix DS expectations on recreate 2020-08-10 15:23:09 UTC
Red Hat Product Errata RHBA-2020:3075 None None None 2020-07-28 12:37:28 UTC

Comment 4 zhou ying 2020-07-17 10:09:15 UTC
Checked with unit test , no issue found:

[root@dhcp-140-138 origin]# git branch
  master
  release-3.9
* release-4.4
  release-4.5
[root@dhcp-140-138 origin]#  cd vendor/k8s.io/kubernetes/pkg/controller/daemon
[root@dhcp-140-138 daemon]# go test -v -run TestExpectationsOnRecreate
...
I0717 18:08:26.602859   14416 shared_informer.go:197] Waiting for caches to sync for test dsc
I0717 18:08:26.703133   14416 shared_informer.go:204] Caches are synced for test dsc 
--- PASS: TestExpectationsOnRecreate (0.41s)
PASS
ok  	k8s.io/kubernetes/pkg/controller/daemon	0.429s

Comment 6 errata-xmlrpc 2020-07-28 12:37:03 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:3075


Note You need to log in before you can comment on or make changes to this bug.